#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92540fbf, "finish_wait" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x233aac3d, "v4l2_fh_del" },
	{ 0x43bf068, "v4l2_fh_exit" },
	{ 0x35ff98bf, "v4l2_format_info" },
	{ 0x9cd0339f, "v4l2_fh_init" },
	{ 0x7cb4175a, "v4l2_fh_add" },
	{ 0x25be095, "vmalloc_to_page" },
	{ 0x5c2b241a, "vm_insert_page" },
	{ 0x8c54e27e, "v4l2_event_pending" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0x431490cb, "noop_llseek" },
	{ 0xebd7875b, "nonseekable_open" },
	{ 0xe12d7e7a, "v4l2_event_unsubscribe" },
	{ 0x3ea9c856, "video_ioctl2" },
	{ 0xb6f1adde, "param_ops_int" },
	{ 0xb9833210, "param_array_ops" },
	{ 0xb62dbd7, "param_ops_bool" },
	{ 0xc4704141, "param_ops_charp" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d6a67e, "v4l2_event_queue" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3f90b22f, "const_pcpu_hot" },
	{ 0x92997ed8, "_printk" },
	{ 0x999e8297, "vfree" },
	{ 0xa5d2cfd2, "device_remove_file" },
	{ 0x37a0cba, "kfree" },
	{ 0xedaf6271, "video_unregister_device" },
	{ 0x3ccaef0, "v4l2_device_unregister" },
	{ 0x3dd26b9d, "v4l2_ctrl_handler_free" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcc501597, "v4l2_fill_pixfmt" },
	{ 0x6e9acc41, "v4l2_fill_pixfmt_mp" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x13d51e88, "v4l2_event_subscribe" },
	{ 0x97310848, "v4l2_ctrl_subscribe_event" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x1f9067c5, "misc_deregister" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2e10d95f, "v4l2_device_register" },
	{ 0x4e1b3dcf, "video_device_alloc" },
	{ 0x2f1199a9, "video_device_release" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x42f1226e, "v4l2_ctrl_handler_init_class" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xea6aed67, "v4l2_ctrl_new_custom" },
	{ 0xc028506f, "v4l2_ctrl_handler_setup" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4af989d0, "__video_register_device" },
	{ 0x62560195, "device_create_file" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x74d3ef4a, "misc_register" },
	{ 0x6d16c104, "mutex_lock_killable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x35eec0ef, "video_devdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "videodev");


MODULE_INFO(srcversion, "E30E8FDD4885089C0FB5B2A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
